Error running apt-get update

The following error might occur if your doing a fresh install of Debian and run the "apt-get update" command.


Reading package lists... Done
W: There is no public key available for the following key IDs:
W: GPG error: lenny/updates Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 9AA38DCD55BE302B
W: You may want to run apt-get update to correct these problems


The solution is very simple, simply run the commands below as root one by one and you will be able to run "apt-get update"


gpg --keyserver --recv-keys 9AA38DCD55BE302B
apt-key add ~/.gnupg/pubring.gpg

  • Email, SSL
  • 40 Users Found This Useful
Was this answer helpful?